PHP Manual
Prev |  | Next

# ora_do

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_do -- Parse, Exec, Fetch

## Description

resource ora_do ( resource connection, string query )

Parse and execute a statement, then fetch the first result row.

This function is a quick combination of ora_parse(), ora_exec() and ora_fetch().

## Parameters

`connection`

  A connection identifier, opened with ora_logon().

`query`

  The SQL statement.

## Return Values

This function returns a cursor index or `FALSE` on failure. Details about the error can be retrieved using the ora_error() and ora_errorcode() functions.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

There is no direct replacement for ora_do() in oci8. Instead, use a sequence of oci_parse(), oci_excute(), and one of the oci_fetch_*() functions.

## See Also

ora_parse()
ora_exec()
ora_fetch()

Prev | Home | Next
ora_commiton | Up | ora_error